## org.eclipse.amp.agf.gef
Interface IModelFactoryProvider

All Known Implementing Classes:
  DefaultModelFactoryProvider

    public interface IModelFactoryProvider

Method Summary
`org.eclipse.gef.EditPartFactory` `getEditPartFactory(java.lang.Object model)`
`org.eclipse.gef.EditPartFactory` `getEditPartTreeFactory(java.lang.Object model)`

Method Detail

### getEditPartFactory

    org.eclipse.gef.EditPartFactory getEditPartFactory(java.lang.Object model)

### getEditPartTreeFactory

    org.eclipse.gef.EditPartFactory getEditPartTreeFactory(java.lang.Object model)